> ## Documentation Index
> Fetch the complete documentation index at: https://openphone-dev.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List notes for a contact

> Get a paginated list of a contact's notes.



## OpenAPI

````yaml https://openphone-public-api-dev.s3.us-west-2.amazonaws.com/public/openphone-public-api-2026-03-30-dev.json get /contacts/{contactId}/notes
openapi: 3.1.0
info:
  title: Quo Public API
  version: 1.0.0
  description: API for connecting with Quo.
  contact:
    name: Quo Support
    email: support@quo.com
    url: https://support.quo.com/
  termsOfService: https://www.quo.com/terms
servers:
  - description: Development server
    url: https://dev-public-api.openphone.dev
security:
  - apiKey: []
tags:
  - description: Operations related to calls
    name: Calls
  - description: >-
      Operations related to call summaries, including AI-generated summaries and
      Sona voice assistant summaries
    name: Call Summaries
  - description: >-
      Operations related to call transcripts, including AI-generated transcripts
      and Sona voice assistant transcripts
    name: Call Transcripts
  - description: Operations related to contacts
    name: Contacts
  - description: Operations related to contact shares
    name: Contact Shares
  - description: Operations related to contact notes
    name: Contact Notes
  - description: Operations related to contact properties
    name: Contact Properties
  - description: Operations related to conversations
    name: Conversations
  - description: Operations related to text messages
    name: Messages
  - description: Operations related to phone numbers
    name: Phone Numbers
  - description: Operations related to users
    name: Users
  - description: Operations related to webhooks
    name: Webhooks
  - description: >-
      Operations related to webhook events, including delivery history and test
      events
    name: Webhook Events
paths:
  /contacts/{contactId}/notes:
    get:
      tags:
        - Contact Notes
      summary: List notes for a contact
      description: Get a paginated list of a contact's notes.
      operationId: listContactNotes
      parameters:
        - in: path
          name: contactId
          required: true
          schema:
            description: The unique identifier of the contact whose notes are being listed.
            examples:
              - 6a145ff26212a192852c856e
            pattern: ^(.*)$
            type: string
          example: 6a145ff26212a192852c856e
        - in: query
          name: limit
          required: false
          schema:
            description: Max number of items to return per page.
            default: 10
            maximum: 50
            minimum: 1
            type: integer
        - in: query
          name: after
          required: false
          schema:
            examples:
              - eyJsYXN0SWQiOiJVU211a09NaXBhIn0
            type: string
          example: eyJsYXN0SWQiOiJVU211a09NaXBhIn0
        - in: header
          name: Quo-Api-Version
          required: true
          schema:
            type: string
            enum:
              - '2026-03-30'
            description: 'API version header. Supported values: 2026-03-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                  - nextCursor
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      required:
                        - id
                        - text
                        - media
                        - createdAt
                        - updatedAt
                        - actorId
                      properties:
                        id:
                          description: The ID of the note.
                          examples:
                            - 6a145ff26212a192852c856f
                          pattern: ^(.*)$
                          type: string
                          example: 6a145ff26212a192852c856f
                        text:
                          description: The body of the note.
                          examples:
                            - Please follow up with the customer.
                          type: string
                          example: Please follow up with the customer.
                        media:
                          type: array
                          items:
                            type: object
                            required:
                              - url
                            properties:
                              url:
                                description: The URL of the attached media.
                                examples:
                                  - >-
                                    https://example.com/i/f1726c08-8380-41d4-a583-dea176b2e695.png
                                type: string
                                example: >-
                                  https://example.com/i/f1726c08-8380-41d4-a583-dea176b2e695.png
                              type:
                                anyOf:
                                  - description: The MIME type of the attached media.
                                    examples:
                                      - image/png
                                    type: string
                                    example: image/png
                                  - type: 'null'
                              name:
                                anyOf:
                                  - description: The file name of the attached media.
                                    examples:
                                      - an_image.png
                                    type: string
                                    example: an_image.png
                                  - type: 'null'
                        createdAt:
                          description: The timestamp of the note creation.
                          examples:
                            - '2021-01-01T00:00:00Z'
                          format: date-time
                          type: string
                          example: '2021-01-01T00:00:00Z'
                        updatedAt:
                          description: The timestamp of the note update.
                          examples:
                            - '2021-01-01T00:00:00Z'
                          format: date-time
                          type: string
                          example: '2021-01-01T00:00:00Z'
                        actorId:
                          description: The actor ID that authored the note.
                          examples:
                            - US123abc
                          pattern: ^US(.*)$
                          type: string
                          example: US123abc
                  nextCursor:
                    description: >-
                      Cursor for the next page, or null when there are no more
                      pages.
                    examples:
                      - eyJsYXN0SWQiOiJVU211a09NaXBhIn0
                    example: eyJsYXN0SWQiOiJVU211a09NaXBhIn0
                    anyOf:
                      - type: string
                      - type: 'null'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                  - docs
                  - title
                properties:
                  message:
                    type: string
                  docs:
                    const: https://quo.com/docs
                    type: string
                  title:
                    const: Bad Request
                    type: string
                  trace:
                    type: string
                  errors:
                    type: array
                    items:
                      type: object
                      required:
                        - path
                        - message
                        - schema
                      properties:
                        path:
                          type: string
                        message:
                          type: string
                        value: {}
                        schema:
                          type: object
                          required:
                            - type
                          properties:
                            type:
                              type: string
              example:
                message: The input was invalid
                docs: https://quo.com/docs
                title: Bad Request
                trace: '6897907457496870895'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                  - docs
                  - title
                properties:
                  message:
                    type: string
                  docs:
                    const: https://quo.com/docs
                    type: string
                  title:
                    const: Unauthorized
                    type: string
                  trace:
                    type: string
                  errors:
                    type: array
                    items:
                      type: object
                      required:
                        - path
                        - message
                        - schema
                      properties:
                        path:
                          type: string
                        message:
                          type: string
                        value: {}
                        schema:
                          type: object
                          required:
                            - type
                          properties:
                            type:
                              type: string
              example:
                message: User is unauthorized to perform this action
                docs: https://quo.com/docs
                title: Unauthorized
                trace: '6897907457496870895'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                  - docs
                  - title
                properties:
                  message:
                    type: string
                  docs:
                    const: https://quo.com/docs
                    type: string
                  title:
                    const: Forbidden
                    type: string
                  trace:
                    type: string
                  errors:
                    type: array
                    items:
                      type: object
                      required:
                        - path
                        - message
                        - schema
                      properties:
                        path:
                          type: string
                        message:
                          type: string
                        value: {}
                        schema:
                          type: object
                          required:
                            - type
                          properties:
                            type:
                              type: string
              example:
                message: User is forbidden to perform this action
                docs: https://quo.com/docs
                title: Forbidden
                trace: '6897907457496870895'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                  - docs
                  - title
                properties:
                  message:
                    type: string
                  docs:
                    const: https://quo.com/docs
                    type: string
                  title:
                    const: Not Found
                    type: string
                  trace:
                    type: string
                  errors:
                    type: array
                    items:
                      type: object
                      required:
                        - path
                        - message
                        - schema
                      properties:
                        path:
                          type: string
                        message:
                          type: string
                        value: {}
                        schema:
                          type: object
                          required:
                            - type
                          properties:
                            type:
                              type: string
              example:
                message: The contact was not found
                docs: https://quo.com/docs
                title: Not Found
                trace: '6897907457496870895'
        '500':
          description: Unknown Error
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                  - docs
                  - title
                properties:
                  message:
                    type: string
                  docs:
                    const: https://quo.com/docs
                    type: string
                  title:
                    const: Unknown
                    type: string
                  trace:
                    type: string
                  errors:
                    type: array
                    items:
                      type: object
                      required:
                        - path
                        - message
                        - schema
                      properties:
                        path:
                          type: string
                        message:
                          type: string
                        value: {}
                        schema:
                          type: object
                          required:
                            - type
                          properties:
                            type:
                              type: string
              example:
                message: An unknown error has occurred
                docs: https://quo.com/docs
                title: Unknown Error
                trace: '6897907457496870895'
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      in: header
      name: Authorization
      type: apiKey

````